GUI tool for running Masternode with Trezor

adobeinc

New Member
Sep 14, 2021
1
0
1
22
uptocrack.com
As the initial injunction of the Publishers Association is six years old, it is not obvious whatever kinds of preparatory actions have been implemented from the beginning. More current orders offer dynamically adaptable alternatives for modifications to the surface domain and IP address that seek to reduce their impacts, but may drift out of date if they are not present in a case of the Publishers Association.
ws, a site not listed in the blocking list of TalkTalk. A full range of other ebook download sites, like the Sci-Hub, DownloadBooks, Ebook777, BookSC, ZLibrary and Ebook3000, can only aggravate the problem if visitedors to that domain locate a list.
 

Bertrand256

Active Member
Feb 13, 2017
251
296
123
Dash Address
XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
Can I just say though, when voting there is a dialog with the options "Cancel" and "Yes". It says "Yes" even when I'm voting No! :-D Maybe it should be "Cancel" and "OK"?
Changed to "OK" in the upcoming v0.9.28 as you suggested.
 

Bertrand256

Active Member
Feb 13, 2017
251
296
123
Dash Address
XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
DashMasternodeTool v0.9.28 released
Binaries: https://github.com/Bertrand256/dash-masternode-tool/releases/tag/v0.9.28

Changes:
- New: UI dark mode option independent of the OS settings.
- New: toolbar icons with enhanced visual consistency (kudos to Doeke Koedijk for creating them).
- New: possibility to use keypad when entering PIN for Trezor devices.
- Fixed support for macOS dark theme.
- Fixed an issue of the "Masternode status details" option disappearing after its usage.
- Fixed several other, minor visual issues.

I've been asked a few times to implement dark mode in the app UI. From now on it is possible to change the theme to dark, even on systems that do not support it natively like macOS. To enable it, open the settings dialog, go to the "Miscellaneous" tab and check the "Use UI dark mode" option.

Here is a preview:
dark-mode-custom.png

On macOS, you can now also use a native dark theme, but it looks a bit different that this multi-os solution. To use the native macOS theme, uncheck te configuration option mentioned above.
 

GrandMasterDash

Grizzled Member
Masternode Owner/Operator
Jul 12, 2015
2,959
1,140
1,183
Error:

"Couldn't read governance info from the Dash network. Some features may not work correctly because of this. Details: unsupported operand type(s) for /: 'NoneType' and 'int'"

Also, startup time is a bit slow. Can maybe add a splash screen during startup?
 

Bertrand256

Active Member
Feb 13, 2017
251
296
123
Dash Address
XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
Also, startup time is a bit slow. Can maybe add a splash screen during startup?
The executable is based on pyInstaller and is basically a self-extracting zip archive. Most of the application start time is used to unpack the archive. Only after this, anything can be run, including for example a splash screen. To solve this problem, it is necessary to use different approach to prepare executable version. I will think about it.
 
  • Like
Reactions: GrandMasterDash

Bertrand256

Active Member
Feb 13, 2017
251
296
123
Dash Address
XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
Error:
"Couldn't read governance info from the Dash network. Some features may not work correctly because of this. Details: unsupported operand type(s) for /: 'NoneType' and 'int'"
Can you post here a few lines from the app's log file containing the error stack trace?
They should start with something like this: "Traceback (most recent call last):"
 

GrandMasterDash

Grizzled Member
Masternode Owner/Operator
Jul 12, 2015
2,959
1,140
1,183
Can you post here a few lines from the app's log file containing the error stack trace?

They should start with something like this: "Traceback (most recent call last):"

ERROR|dmt.main|Dummy-1|app_main_view_wdg.py|refresh_status_thread|-342: non-JSON HTTP response with '521 ' from server

Traceback (most recent call last):

File "app_main_view_wdg.py", line 858, in refresh_status_thread

File "dashd_intf.py", line 441, in catch_timeout_wrapper

File "dashd_intf.py", line 1290, in get_masternodelist

File "dashd_intf.py", line 1192, in _read_protx_list

File "bitcoinrpc/authproxy.py", line 139, in __call__

File "bitcoinrpc/authproxy.py", line 186, in _get_response

bitcoinrpc.authproxy.JSONRPCException: -342: non-JSON HTTP response with '521 ' from server


...


ERROR|dmt.proposals|Dummy-2|proposals_dlg.py|read_proposals_from_network|Exception wile reading proposals from Dash network.

Traceback (most recent call last):

File "proposals_dlg.py", line 869, in read_proposals_from_network

File "dashd_intf.py", line 441, in catch_timeout_wrapper

File "dashd_intf.py", line 1477, in gobject

File "bitcoinrpc/authproxy.py", line 139, in __call__

File "bitcoinrpc/authproxy.py", line 179, in _get_response

File "http/client.py", line 1334, in getresponse

http.client.ResponseNotReady: Idle


...


ERROR|dmt.main|Dummy-1|app_main_view_wdg.py|refresh_status_thread|unsupported operand type(s) for /: 'NoneType' and 'float'

Traceback (most recent call last):

File "app_main_view_wdg.py", line 976, in refresh_status_thread

TypeError: unsupported operand type(s) for /: 'NoneType' and 'float'


...


ERROR|dmt.proposals|Dummy-2|proposals_dlg.py|read_data_thread|Exception while reading data.

Traceback (most recent call last):

File "proposals_dlg.py", line 1383, in read_data_thread

File "proposals_dlg.py", line 869, in read_proposals_from_network

File "dashd_intf.py", line 441, in catch_timeout_wrapper

File "dashd_intf.py", line 1477, in gobject

File "bitcoinrpc/authproxy.py", line 139, in __call__

File "bitcoinrpc/authproxy.py", line 179, in _get_response

File "http/client.py", line 1334, in getresponse

http.client.ResponseNotReady: Idle


...


ERROR|dmt.proposals|Dummy-3|proposals_dlg.py|read_governance_data|Exception while reading governance info.

Traceback (most recent call last):

File "proposals_dlg.py", line 1106, in read_governance_data

TypeError: unsupported operand type(s) for /: 'NoneType' and 'int'


...


ERROR|dmt.proposals|Dummy-3|proposals_dlg.py|apply_values|'>=' not supported between instances of 'float' and 'NoneType'

Traceback (most recent call last):

File "proposals_dlg.py", line 257, in apply_values

File "proposals_dlg.py", line 1143, in find_superblocks_for_timestamp

TypeError: '>=' not supported between instances of 'float' and 'NoneType'


...


ERROR|dmt.proposals|MainThread|proposals_dlg.py|display_proposals_data|Exception occurred while displaying proposals.

Traceback (most recent call last):

File "proposals_dlg.py", line 1894, in display_proposals_data

File "proposals_dlg.py", line 767, in display_budget_summary

TypeError: an integer is required (got type NoneType)


...


ERROR|dmt.proposals|Dummy-3|proposals_dlg.py|read_data_thread|Exception while saving proposals to db.

Traceback (most recent call last):

File "proposals_dlg.py", line 1894, in display_proposals_data

File "proposals_dlg.py", line 767, in display_budget_summary

TypeError: an integer is required (got type NoneType)


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

File "proposals_dlg.py", line 1352, in read_data_thread

File "wnd_utils.py", line 202, in call_in_main_thread

File "wnd_utils.py", line 437, in call_in_main_thread

File "wnd_utils.py", line 562, in __call_in_main_thread

File "wnd_utils.py", line 429, in fun_call_signalled

File "proposals_dlg.py", line 1349, in disp

File "proposals_dlg.py", line 1900, in display_proposals_data

Exception: Error occurred while displaying proposals: an integer is required (got type NoneType)


...


ERROR|dmt.proposals|Dummy-3|proposals_dlg.py|read_data_thread|Exception while retrieving proposals data.

Traceback (most recent call last):

File "proposals_dlg.py", line 1367, in read_data_thread

File "wnd_utils.py", line 202, in call_in_main_thread

File "wnd_utils.py", line 437, in call_in_main_thread

File "wnd_utils.py", line 562, in __call_in_main_thread

File "wnd_utils.py", line 429, in fun_call_signalled

File "proposals_dlg.py", line 767, in display_budget_summary

TypeError: an integer is required (got type NoneType)


...


ERROR|dmt.proposals|Dummy-3|proposals_dlg.py|read_proposals_from_network|Error while processing proposal data. Proposal hash: ?

Traceback (most recent call last):

File "proposals_dlg.py", line 887, in read_proposals_from_network

AttributeError: 'int' object has no attribute 'get'


...


ERROR|dmt.proposals|Dummy-3|proposals_dlg.py|read_proposals_from_network|Error while processing proposal data. Proposal hash: ?

Traceback (most recent call last):

File "proposals_dlg.py", line 887, in read_proposals_from_network

AttributeError: 'decimal.Decimal' object has no attribute 'get'


...


ERROR|dmt.proposals|Dummy-3|proposals_dlg.py|read_proposals_from_network|Exception wile reading proposals from Dash network.

Traceback (most recent call last):

File "proposals_dlg.py", line 1075, in read_proposals_from_network

Exception: Errors while processing proposals data. Look into the log file for details.


...


ERROR|dmt.proposals|Dummy-3|proposals_dlg.py|read_data_thread|Exception while reading data.

Traceback (most recent call last):

File "proposals_dlg.py", line 1383, in read_data_thread

File "proposals_dlg.py", line 1075, in read_proposals_from_network

Exception: Errors while processing proposals data. Look into the log file for details.